package com.zjty.tynotes.attendance.dao;

import com.zjty.tynotes.attendance.entity.ApprovalInformation;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

/**
 * @Author gwj
 * @create 2020/3/24 15:23
 */
public interface ApprovalInformationDao extends MongoRepository<ApprovalInformation,String> {
    List<ApprovalInformation> findAllByUserId(String userId);


    List<ApprovalInformation> findAllByApprovalUserIdOneOrApprovalUserIdTwo(String userId);

    List<ApprovalInformation> findAllByStatusIn(List<String> statusList);
}
